---
layout: commands
page_title: 'Commands: Intention List'
description: >-
  The `consul intention list` command returns all L4 service intentions, including a unique ID and intention precedence. It was deprecated in Consul v1.9.0; use `consul config` instead.
---

# Consul Intention List

Command: `consul intention list`

Corresponding HTTP API Endpoint: [\[GET\] /v1/connect/intentions](/consul/api-docs/connect/intentions#list-intentions)

The `intention list` command shows all intentions including ID and precedence.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required                  |
| ----------------------------- |
| `intentions:read` <p> Define intention rules in the `service` policy. Refer to [ACL requirements for intentions](/consul/docs/connect/intentions/create-manage-intentions#acl-requirements) for additional information.</p> |

## Usage

Usage:

- `consul intention list`

#### Enterprise Options

@include 'legacy/http_api_namespace_options.mdx'

#### API Options

@include 'legacy/http_api_options_client.mdx'

## Examples

```shell-session
$ consul intention list
ID                                    Source     Action  Destination  Precedence
                                      web        allow   db           9
36a6cf15-5f0e-a388-163e-0f608009704a  dashboard  allow   counting     9
```
